<ion-header>
  <ion-navbar color="secondary">
      <ion-title>{{ list.title }}</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <ion-list-header> Task to be Done</ion-list-header>

  <ion-list>

    <ion-item>
      <ion-label floating>title {{itemName}}</ion-label>
      <ion-input [(ngModel)]="itemName" type="text" (keyUp.enter)="addItem()"></ion-input>
    </ion-item>
  
  </ion-list>

  <ion-list *ngIf="list.items.length > 0">

    <ion-list-header>
      <ion-label>Items to be Done</ion-label>
    </ion-list-header>
    
    <ion-item-sliding class="animated fadeInDown" *ngFor="let item of list.items; let i = index">

      <button (click)="updateTask(item)" ion-item detail-none >
        <ion-icon *ngIf="item.complete" name="checkbox-outline" item-start></ion-icon>
        <ion-icon *ngIf="!item.complete" name="square-outline" item-start></ion-icon>
        {{ item.description }}
      </button>

      <ion-item-options side="right">
        <button ion-button icon-only color="danger" (click)="delteItem(i)">
          <ion-icon name="close"></ion-icon>
        </button>
      </ion-item-options>

    </ion-item-sliding>

  </ion-list>

</ion-content>